This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 86554 - Build tools for xscale-elf are not recognized
Build tools for xscale-elf are not recognized
Status: CLOSED NOTABUG
Product: eCos
Classification: Retired
Component: ConfigTool (Show other bugs)
CVS
xscale Linux
medium Severity medium
: ---
: ---
Assigned To: John Dallaway
John Dallaway
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-25 09:00 EST by pascal Pediroda
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-25 09:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pascal Pediroda 2003-03-25 09:00:55 EST
Description of problem:
Build tool folder with xscale-elf-* files is not seen as a valid folder.

Version-Release number of selected component (if applicable):
ConfigTool V2.11 (Windows 2000 Professional)

How reproducible:
Every time

Steps to Reproduce:
1.In ConfigTool, select the tools->paths->Build Tools
2.Browse for folder where xscale-elf-* are
    
Actual results:
The ConfigTool says it does not recognize arm-elf build tools.

Expected results:
The ConfigTool should recognize the xscale-elf build tools 


Additional info:
It did work in version 1.3
Comment 1 John Dallaway 2003-03-25 09:43:41 EST
The configtool uses the CDL option CYGBLD_GLOBAL_COMMAND_PREFIX to determine 
which toolchain is required for a particular eCos target. Support for XScale 
targets is now fully integrated into the arm-elf toolchain and it is not 
necessary to use a specialized xscale-elf toolchain. The default values of 
CYGBLD_GLOBAL_COMMAND_PREFIX defined by the various eCos XScale HAL packages 
have been modified accordingly. If you wish to use an xscale-elf toolchain, 
you must now modify CYGBLD_GLOBAL_COMMAND_PREFIX using the configtool. 

Note You need to log in before you can comment on or make changes to this bug.